<template>
  <div class="chart-itm-equ">
    <div class="tooltips flex">
      <div class="flex1 flex tooltip">
        <div class="chart-status-dot green"></div>
        <div class="chart-status-desc">正常设备</div>
      </div>
      <div class="flex1 flex tooltip">
        <div class="chart-status-dot yellow"></div>
        <div class="chart-status-desc">>7天未连接设备</div>
      </div>
      <div class="flex1 flex tooltip">
        <div class="chart-status-dot red"></div>
        <div class="chart-status-desc">异常连接数</div>
      </div>
      <div class="flex1 flex tooltip">
        <div class="chart-status-dot blue"></div>
        <div class="chart-status-desc">从有到无</div>
      </div>
      <div class="flex1 flex tooltip">
        <div class="chart-status-dot purple"></div>
        <div class="chart-status-desc">从无到有</div>
      </div>
    </div>
    <div class="sub-div"></div>
    <div class="chart-itm-equ-echarts" :id="eid"></div>
    <div class="sub-insidemask-div">
      <div class="flex">
        <div class="temperature-num">{{ (info.normal || 0) + (info.warn || 0) + (info.alarm || 0) + (info.beNothing || 0)+ (info.beSomething || 0)}}</div>
      </div>
      <div class="flex">
        <div class="temperature-unit">总量</div>
      </div>
    </div>

  </div>
</template>

<script>
import "echarts-liquidfill";

import * as echarts from "echarts";
export default {
  data() {
    return {
      eid: "chart-itm-equ",
      option: {},
      data_service_list: [],
      serve_scroll_num: 0,
      serve_timer: undefined,
    };
  },
  props: {
    info: {},
  },
  methods: {

    initChart() {
      var value = 0.56;
      this.option = {
        tooltip: {
          trigger: "item",
        },

        series: [
          {
            // name: 'Access From',
            type: "pie",
            silent: "ture",
            radius: ["55%", "68%"],
            center: ["50%", "55%"],
            // radius: "75%",
            avoidLabelOverlap: true,
            itemStyle: {
              borderRadius: 10,
              borderColor: "#fff",
              borderWidth: 2,
            },
            label: {
              // formatter: "{b}\n\n{c}",
              formatter: "{c}",
              align: "left",
              color: "rgba(108, 153, 190, 1)",

              // rich: {
              //   time: {
              //     fontSize: 10,
              //     color: '#999',

              //   }
              // }
            },

            emphasis: {
              label: {
                show: true,
                fontSize: 40,
                fontWeight: "bold",
              },
            },

            data: [
              {
                value: this.info.normal || 0,
                // name: "正常设备",
                itemStyle: {
                  normal: {
                    color: new echarts.graphic.LinearGradient(0.2, 1, 0.3, 0, [
                      {
                        offset: 1,
                        color: "rgba(150, 222, 194, 1)",
                      },
                      {
                        offset: 0,
                        color: "rgba(6, 188, 117, 1)",
                      },
                    ]),
                  },
                },
              },
              {
                value: this.info.warn || 0,
                // name: ">7天未连接设备",
                itemStyle: {
                  normal: {
                    color: new echarts.graphic.LinearGradient(0.2, 1, 0.3, 0, [
                      {
                        offset: 1,
                        color: "rgba(236, 197, 13, 1)",
                      },
                      {
                        offset: 0,
                        color: "rgba(221, 175, 1, 1)",
                      },
                    ]),
                  },
                },
              },
              {
                value: this.info.alarm || 0,
                // name: "异常连接数",
                itemStyle: {
                  normal: {
                    color: new echarts.graphic.LinearGradient(0.2, 1, 0.3, 0, [
                      {
                        offset: 1,
                        color: "rgba(249, 109, 0, 1)",
                      },
                      {
                        offset: 0,
                        color: "rgba(241, 76, 3, 1)",
                      },
                    ]),
                  },
                },
              },
              {
                value: this.info.beSomething || 0,
                // name: "异常连接数",
                itemStyle: {
                  normal: {
                    color: new echarts.graphic.LinearGradient(0.2, 1, 0.3, 0, [
                      {
                        offset: 1,
                        color: "rgba(52, 90, 255, 1)",
                      },
                      {
                        offset: 0,
                        color: "rgba(52, 90, 255, 1)",
                      },
                    ]),
                  },
                },
              },
              {
                value: this.info.beNothing || 0,
                // name: "异常连接数",
                itemStyle: {
                  normal: {
                    color: new echarts.graphic.LinearGradient(0.2, 1, 0.3, 0, [
                      {
                        offset: 1,
                        color: "rgba(128, 0, 128, 1)",
                      },
                      {
                        offset: 0,
                        color: "rgba(128, 0, 128, 1)",
                      },
                    ]),
                  },
                },
              },
            ],
          },
        ],
      };

      this.option && this.myChart.setOption(this.option);
    },
  },
  mounted() {
    this.chartDom = document.getElementById(this.eid);
    this.myChart = echarts.init(this.chartDom);
    this.initChart();

  },

};
</script>

<style lang="scss" scope>
.chart-itm-equ {
  height: 18rem;
  width: 31rem;

  position: relative;

  .tooltips {
    width: 21rem;
    height: 2.25rem;
    background: #e3edf8;
    border-radius: 1.42rem;
    position: absolute;
    bottom: -3rem;
    left: calc((100% - 21rem) / 2);

    .tooltip {
      margin: 0 auto;
      margin-top: 0.4rem;
      max-width: fit-content;

      .chart-status-dot {
        width: 0.5rem;
        height: 0.5rem;
        border-radius: 50%;
        margin-top: 0.5rem;
        margin-right: 0.5rem;
      }

      .chart-status-dot.green {
        background: rgba(13, 190, 121, 1);
      }

      .chart-status-dot.red {
        background: rgba(242, 82, 2, 1);
      }

      .chart-status-dot.yellow {
        background: rgba(223, 177, 2, 1);
      }

      .chart-status-desc {
        font-size: 1rem;
        font-family: PingFangSC-Regular, PingFang SC;
        font-weight: 400;
        color: #6c99be;
        line-height: 1.42rem;
      }
    }
  }

  .chart-itm-equ-echarts {
    height: 18rem;
    width: 31rem;
  }

  .sub-div {
    background: linear-gradient(180deg,
        #d2e0f1 0%,
        rgba(219, 233, 243, 0) 100%);
    border-radius: 50%;
    height: 14rem;
    width: 14rem;
    left: 8.5rem;
    position: absolute;
    top: 3rem;
  }

  .sub-insidemask-div {
    position: absolute;
    left: 11.3rem;
    top: 2.8rem;
    top: 5.8rem;
    width: 8.4rem;
    height: 8.4rem;

    border-radius: 150px;
    /* background-color: white; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 25px;
    font-weight: bold;
    /* background: linear-gradient(180deg, #e6eff8 0%, #dde8f4 100%); */
    box-shadow: 0rem 0.33rem 1.17rem 0rem rgba(47, 108, 156, 0.29);

    .temperature-num {
      font-size: 2.5rem;
      font-family: Impact;
      color: #278afa;
      line-height: 3rem;
    }

    .temperature-unit {
      font-size: 1.17rem;
      font-family: PingFangSC-Semibold, PingFang SC;
      font-weight: 600;
      color: #333333;
    }
  }
}
</style>